// #define ICARCH_WIN32
// #define ICARCH_IOS_ARM7

#include <PeerSDK.h>
using namespace PeerSDK;

#include <stdio.h>

int main()
{
    Peer::Startup();

    PeerHelper helper;
    while (true)
    {
        Memory snapshot;

        helper.GetSystemSnapshot("192.168.3.51", 34567, "Admin", "123456", snapshot);
        printf("%s\n", (const char*)&snapshot[0]);

        helper.GetSystemSnapshot("192.168.3.48", 34567, "Admin", "123456", snapshot);
        printf("%s\n", (const char*)&snapshot[0]);
    }

    Peer::Cleanup();

    return 0;
}
